import { baseRequest } from '@/utils/newRequest'

const request = (url, ...arg) => baseRequest(`/api/webapp/` + url, ...arg)

export default {
	// 获取授课教师下拉
	lecturerList(data) {
		return request('sys/user/allList', data, 'get')
	},
	// 课程信息添加
	add(data) {
		return request('disk/courseinfo/add', data, 'post')
	},
	// 课程信息编辑
	edit(data) {
		return request('disk/courseinfo/edit', data, 'post')
	},
	// 获取课程信息详情
	detail(data) {
		return request('disk/courseinfo/detail', data, 'get')
	}
}
